Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.index.lucene.analysis
Class EnglishLuceneAnalyzer

    java.lang.Object
      org.apache.lucene.analysis.Analyzer
          org.crosswire.jsword.index.lucene.analysis.AbstractBookAnalyzer
              org.crosswire.jsword.index.lucene.analysis.EnglishLuceneAnalyzer

    public class EnglishLuceneAnalyzer

extends AbstractBookAnalyzer

English Analyzer works like lucene SimpleAnalyzer + Stemming. (LowerCaseTokenizer > PorterStemFilter). Like the AbstractAnalyzer, Stop word filter is off by default.

Author:
  sijo cherian [sijocherian at yahoo dot com]
See Also:
  `for license details.
  The copyright to this program is held by it's authors.`

Field Summary

Fields inherited from class org.crosswire.jsword.index.lucene.analysis.AbstractBookAnalyzer
`book, doStemming, doStopWords, naturalLanguage, stopSet`

Constructor Summary
`EnglishLuceneAnalyzer()`

Method Summary
`org.apache.lucene.analysis.TokenStream` | `tokenStream(String fieldName, Reader reader)` Constructs a `LowerCaseTokenizer` filtered by a language filter `StopFilter` and `PorterStemFilter` for English.

Methods inherited from class org.crosswire.jsword.index.lucene.analysis.AbstractBookAnalyzer
`getBook, getDoStopWords, getNaturalLanguage, setBook, setDoStemming, setDoStopWords, setNaturalLanguage, setStopWords`

Methods inherited from class org.apache.lucene.analysis.Analyzer
`getPositionIncrementGap, getPreviousTokenStream, reusableTokenStream, setPreviousTokenStream`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EnglishLuceneAnalyzer

    public EnglishLuceneAnalyzer()

Method Detail

### tokenStream

    public final org.apache.lucene.analysis.TokenStream tokenStream(String fieldName,
                                                                    Reader reader)

  Constructs a `LowerCaseTokenizer` filtered by a language filter `StopFilter` and `PorterStemFilter` for English.

  Specified by:
    `tokenStream` in class `org.apache.lucene.analysis.Analyzer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD